# Get resource

Get a single provisioned resource by its IaCM resource ID (resources.id UUID). Returns the same Resource shape as list-resources.

Endpoint: GET /iacm/api/orgs/{org}/projects/{project}/workspaces/{identifier}/resources/{id}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "nci"

  - `project` (string, required)
    Project is the project identifier.
    Example: "fey"

  - `identifier` (string, required)
    Workspace identifier.
    Example: "fcv"

  - `id` (string, required)
    IaCM resource ID (resources.id UUID).
    Example: "11111111-1111-1111-1111-111111111111"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "m"

## Response 200 fields (application/json):

  - `attributes` (object, required)
    A map of values related to the resource
    Example: {"ami":"ami-830c94ec","instance_type":"t2.micro"}

  - `createdAt` (integer)
    Timestamp when the resource was created.
    Example: 1627590400

  - `drift_attributes` (object, required)
    A map of values related to the resource
    Example: {"instance_type":"t2.nano"}

  - `drift_status` (string, required)
    Indicates if this resource is experiencing drift.
    Enum: "changed", "deleted", "unchanged"

  - `lastSyncedAt` (integer)
    Timestamp when the resource was last updated.
    Example: 1627686800

  - `mode` (string, required)
    Mode associated with the resource.
    Enum: "resource", "data", "output"

  - `module` (string, required)
    Module associated with the resource.
    Example: "full_stack"

  - `monthly_cost` (number)
    Current period cost from CCM (null if no cost data).
    Example: 0.3994561038920119

  - `monthly_saving` (number)
    Monthly potential saving from CCM (null if no cost data).
    Example: 0.8405766826975651

  - `name` (string, required)
    Name associated with the resource.
    Example: "app_server"

  - `path_id` (string, required)
    Path associated with the resource. Could be namespace, environment or stack id.
    Example: "namespace"

  - `provider` (string, required)
    Cloud provider associated with the resource.
    Example: "AWS"

  - `recommendation_count` (integer)
    Number of CCM recommendations for this resource (null if no cost data).
    Example: 3148176521081578000

  - `resource_id` (string, required)
    Unique identifier for the resource from the cloud provider.
    Example: "arn:aws:s3:::my-bucket"

  - `sensitive_attributes` (array, required)
    A list of the sensitive attribute keys
    Example: ["instance_type"]

  - `type` (string, required)
    Type of the provisioned resource.
    Example: "S3 Bucket"

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?


